SQL Server Home Page

 Getting Started

SQL Server Books Online

Microsoft Data Access Component (MDAC) 2.6 and Extensible Markup Language (XML) 2.6 Documentation

To view the MDAC and XML documentation, click this icon.

Technical Support

  • Microsoft Product Support Services (PSS)
  • Microsoft SQL Server Support
  • Knowledge Base (KB) Search
  • Microsoft Technet
  • Microsoft Windows Hardware Compatibility List
  • Troubleshooting

Microsoft Accessibility Web Site

SQL Server Printed Documentation

White Papers

Feedback

Samples

Web Links

  • Microsoft SQL Server Product Web Site
  • Microsoft SQL Server Developer Center
  • Professional Association for SQL Server
  • SQL Server Magazine
  • Microsoft Newsgroups
  • MSDN Online
  • Microsoft SQL Server Web Site, English Query Page
  • Microsoft SQL Server Web Site, Analysis Services Page
  • XML Developer Center


Getting Started with SQL Server Books Online

Use this table for quick access to the documentation for Microsoft® SQL Server™ 2000.

To learn about | See
SQL Server architecture | Relational Database Components Database Architecture Administration Architecture Replication Architecture Application Development Architecture Analysis Services Architecture Meta Data Services Architecture
New features in SQL Server 2000 | What's New in Microsoft SQL Server 2000
Installing, upgrading, and running SQL Server 2000 | Overview of Installing SQL Server 2000 Upgrading to SQL Server 2000: Overview Installing Analysis Services Installing English Query Upgrading From Earlier Versions
Planning and designing a new database | Creating and Maintaining Databases Overview
Performing administrative tasks | Importing and Exporting Data Backing Up and Restoring Databases Automating Administrative Tasks Managing Security Security and Authentication Monitoring Server Performance and Activity Getting Started with Command Prompt Utilities Administering Analysis Services PivotTable Service MDX
Data warehousing and online analytical processing (OLAP) | DTS Overview Data Warehousing and OLAP Data Warehousing
Developing applications | Transact-SQL Syntax Elements Programming ADO SQL Server Applications Programming OLE DB SQL Server Applications Developing SQL-DMO Applications Getting Started with Replication Programming Programming DTS Applications Programming Extended Stored Procedures Programming Embedded SQL for C Getting Started with DB-Library for C Decision Support Objects Add-Ins PivotTable Service Programming Meta Data Services Applications
Planning and designing data cubes | Cubes
Performance | Monitoring Server Performance and Activity Optimizing Database Performance Overview Analyzing and Optimizing Performance Optimizing Repository Performance
Troubleshooting | Transact-SQL Tips Troubleshooting Overview Analysis Services Troubleshooting

This documentation is provided for informational purposes only. Microsoft makes no warranties, either express or implied, in this document. See the link at the bottom of this page for the full copyright notice.


Documentation Conventions

The following conventions are used in SQL Server Books Online to distinguish elements of text.

Convention | Used for
UPPERCASE | Transact-SQL keywords and SQL elements.
Initial Capitals | Paths and file names.
Bold | Database names, table names, column names, stored procedures, command-prompt utilities, menus, commands, dialog box options, programming elements, and text that must be typed exactly as shown.
Italic | User-supplied variables, relationships, and phrasings.
Monospace | Code samples, examples, display text, and error messages.
English text only | References to the data contained in the pubs, Northwind, and Foodmart databases, or other data used in examples.

See Also

DB-Library for C Syntax Conventions

Replication Syntax Conventions

SQL-DMO Syntax Conventions

Transact-SQL Syntax Conventions


Displaying Information in SQL Server Books Online

To display information in SQL Server Books Online, use these documentation features:

Expand text

The expand text feature, designated by the plus sign (+), is used to provide additional information within a topic. To view the information, click the plus sign, and a new text window appears. To close the window, click the minus sign (-). When you print a topic, the expanded text also prints.

Glossary terms

Glossary terms appear as colored, underlined text. Click a glossary term to see the definition. To remove the definition window, click anywhere on the screen. When you print a topic, the definition does not print. The glossary terms in SQL Server Books Online do not include glossary terms found in the Microsoft Computer Dictionary, Fourth Edition.

Keyboard shortcuts icon

The Keyboard shortcuts icon is located on the toolbar that appears at the top of each topic. Click the icon to see the shortcut keys that are available.

See Also icon

The See Also icon appears at the top of those topics that contain related topics. Click the icon to see the list of related topics.

Subsets

SQL Server Books Online allows you to define subsets of the entire SQL Server Books Online against which to perform a search. You can define your own subsets; however, a set of default subsets is also provided. The subsets are targeted at specific audiences, and each subset covers multiple topics. Subsets make it easier to search for information related to your activities by minimizing the number of search hits.

Thumbnail illustrations

Some illustrations appear in a minimized (thumbnail) view. To enlarge the illustration, click Enlarge diagram. The illustration appears in the right pane, enlarged to its full size. To return to the topic, click Back on the toolbar. To print the illustration, click the Print icon at the top of the window containing the illustration. When you print a topic, the illustration prints full size.

Links to Procedures for Performing Tasks

In Microsoft® SQL Server™ 2000, administrative tasks can be performed using one or more tools or procedures; however, all tools and procedures cannot be used for all tasks. The tools and procedures are designated by a plus sign (+) followed by a label.

For example, to start the default instance of SQL Server, click the plus-sign text that corresponds to the tool or procedure you want to use.

To start the default instance of SQL Server

Enterprise Manager

Service Manager

Command Prompt

SQL-DMO

These are the tools and procedures that are available.

Client Utility | Profiler
Command Prompt | Query Analyzer
Enterprise Manager | Service Manager
Failover | SQL Setup
Network Utility | SQL-DMO
ODBC | Transact-SQL
OLE DB | Windows
Perf Monitor | Wizard